# Raumplaner.py

from grafikfenster import *

from schrank import Schrank
from stuhl import Stuhl
from tisch import Tisch
from moebelgruppe import MoebelGruppe

### ---------------------------------------------------
import time
import _thread

class MyApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik
       ShellFrame: Interaktion mit laufender Anwendung
       FillingFrame: Anzeige der Umgebung"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        return True

    def TischgruppeErzeugen(self):
        """Allein fuer die Testanwendung:"""
        global stuehle, tisch, moebelgruppe
        tisch=Tisch(50,50, 110, 60, 0, 'brown', sichtbar=True)
        stuehle=[]
        stuehle.append(Stuhl(0,60, winkel=270, sichtbar=True))
        stuehle.append(Stuhl(60,0, sichtbar=True))
        stuehle.append(Stuhl(110,0, sichtbar=True))
        stuehle.append(Stuhl(60,120, winkel=180, sichtbar=True))
        stuehle.append(Stuhl(110,120, winkel=180, sichtbar=True))
        stuehle.append(Stuhl(170,60, winkel=90, sichtbar=True))
        moebelgruppe=MoebelGruppe()
        _thread.start_new_thread(self.Aktion, (0.7,))

    def Aktion(self, sec):
        moebelgruppe.BewegeVertikal(-100)
        moebelgruppe.FuegeHinzu(tisch)
        for stuhl in stuehle:
            moebelgruppe.FuegeHinzu(stuhl)
        time.sleep(sec)
        moebelgruppe.WaehleAus(4)
        time.sleep(sec)
        moebelgruppe.WaehleAus(14)
        time.sleep(sec)
        moebelgruppe.WaehleAus(1)
        time.sleep(sec)
        moebelgruppe.BeendeAuswahl()
        time.sleep(sec)
        moebelgruppe.WaehleAus(4)
        time.sleep(sec)
        moebelgruppe.BeendeAuswahl()
        time.sleep(sec)
        moebelgruppe.Entferne(moebelgruppe.GibKindobjekt(4))
        time.sleep(sec)
        moebelgruppe.WaehleAus(4)
        time.sleep(sec)
        moebelgruppe.BeendeAuswahl()
        time.sleep(sec)
        moebelgruppe.Entferne(moebelgruppe.GibKindobjekt(4))

### ---------------------------------------------------
if __name__ == '__main__':
    app = MyApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
